Class Index | File Index

## Classes

- _global_
- Dygraph
- DygraphCanvasRenderer
- DygraphInteraction
- DygraphLayout
- DygraphOptions
- grid
- GVizChart
- GVizDataTable

## Methods

- axisForSeries
- axisOptions
- get
- getForAxis
- getForSeries
- numAxes
- reparseSeries
- seriesForAxis
- seriesNames

## Fields

- dygraph_
- labels_
- xAxis_
- yAxes_

# Class DygraphOptions

Defined in: dygraph-options.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| DygraphOptions(dygraph) This parses attributes into an object that can be easily queried.

Field Summary
Field Attributes | Field Name and Description
--- | ---
| dygraph_ The dygraph.
| labels_ A list of series in columnar order.
{@private} | xAxis_ Contains x-axis specific options, which are stored in the options key.
{@private} | yAxes_ Array of axis index to { series : [ series names ] , options : { axis-specific options.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| axisForSeries(series) Return the y-axis for a given series, specified by name.
| axisOptions(yAxis) Returns the options for the specified axis.
| get(name) Get a global value.
| getForAxis(name, axis) Get a value for a specific axis.
| getForSeries(name, series) Get a value for a specific series.
{number} | numAxes() Returns the number of y-axes on the chart.
| reparseSeries() Reparses options that are all related to series.
| seriesForAxis(yAxis) Return the series associated with an axis.
| seriesNames() Return the list of all series, in their columnar order.

Class Detail
DygraphOptions(dygraph)
This parses attributes into an object that can be easily queried. It doesn't necessarily mean that all options are available, specifically if labels are not yet available, since those drive details of the per-series and per-axis options.

Parameters:
{Dygraph} dygraph
  The chart to which these options belong.

Field Detail
dygraph_
The dygraph.

labels_
A list of series in columnar order.

{@private} xAxis_
Contains x-axis specific options, which are stored in the options key. This matches the yAxes_ object structure (by being a dictionary with an options element) allowing for shared code.

{@private} yAxes_
Array of axis index to { series : [ series names ] , options : { axis-specific options. } }
Method Detail
axisForSeries(series)
Return the y-axis for a given series, specified by name.

Parameters:
series

axisOptions(yAxis)
Returns the options for the specified axis.

Parameters:
yAxis

get(name)
Get a global value.

Parameters:
{string} name
  the name of the option.

getForAxis(name, axis)
Get a value for a specific axis. If there is no specific value for the axis, the global value is returned.

Parameters:
{string} name
  the name of the option.
{string|number} axis
  the axis to search. Can be the string representation ("y", "y2") or the axis number (0, 1).

getForSeries(name, series)
Get a value for a specific series. If there is no specific value for the series, the value for the axis is returned (and afterwards, the global value.)

Parameters:
{string} name
  the name of the option.
{string} series
  the series to search.

{number} numAxes()
Returns the number of y-axes on the chart.

Returns:
  {number} the number of axes.

reparseSeries()
Reparses options that are all related to series. This typically occurs when options are either updated, or source data has been made available. TODO(konigsberg): The method name is kind of weak; fix.

seriesForAxis(yAxis)
Return the series associated with an axis.

Parameters:
yAxis

seriesNames()
Return the list of all series, in their columnar order.

Documentation generated by JsDoc Toolkit 2.4.0 for dygraph 2.2.2 (Debian 2.2.2-1)